package com.fjhx.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockArea;
import com.fjhx.params.stock.StockAreaVo;
import com.fjhx.base.StorageBaseService;

import java.util.Map;

/**
 * <p>
 * 仓库分区 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-05
 */
public interface StockAreaService extends StorageBaseService<StockArea> {

    Page<StockArea> getPage(Map<String, String> condition);

    void add(StockAreaVo stockAreaVo);

    void edit(StockAreaVo stockAreaVo);

    void delete(StockAreaVo stockAreaVo);

}
